Composer

compose

## Class Composer

- java.lang.Object
- - compose.Composer

- Direct Known Subclasses:
    GeneticComposer, MarkovComposer

      public class Composer
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected ComposingDialog` | `parent`
    `protected jm.music.data.Score` | `score`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Composer()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `jm.music.data.Phrase` | `createAnswerPhrase(jm.music.data.Phrase base)`
    `jm.music.data.Phrase` | `createCounterPhrase(jm.music.data.Phrase base)`
    `jm.music.data.Phrase` | `createDrumPhrase(jm.music.data.Phrase base, int drum)`
    `IScore` | `getIScore()`
    `void` | `muteAnswerPhrase(boolean mute)`
    `void` | `muteCounterPhrase(boolean mute)`
    `void` | `muteDrumPhrase(boolean mute)`
    `void` | `setAnswerInstrument()`
    `void` | `setCounterInstrument()`
    `void` | `setDrumInstrument()`
    `void` | `setPhraseInstrument()`
    `void` | `setTempo(double tempo)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### score

          protected jm.music.data.Score score

    - #### parent

          protected ComposingDialog parent

  - ### Constructor Detail

    - #### Composer

          public Composer()

  - ### Method Detail

    - #### getIScore

          public IScore getIScore()

    - #### createAnswerPhrase

          public jm.music.data.Phrase createAnswerPhrase(jm.music.data.Phrase base)

    - #### createDrumPhrase

          public jm.music.data.Phrase createDrumPhrase(jm.music.data.Phrase base,
                                              int drum)

    - #### createCounterPhrase

          public jm.music.data.Phrase createCounterPhrase(jm.music.data.Phrase base)

    - #### muteCounterPhrase

          public void muteCounterPhrase(boolean mute)

    - #### muteAnswerPhrase

          public void muteAnswerPhrase(boolean mute)

    - #### muteDrumPhrase

          public void muteDrumPhrase(boolean mute)

    - #### setTempo

          public void setTempo(double tempo)

    - #### setPhraseInstrument

          public void setPhraseInstrument()

    - #### setAnswerInstrument

          public void setAnswerInstrument()

    - #### setCounterInstrument

          public void setCounterInstrument()

    - #### setDrumInstrument

          public void setDrumInstrument()